Subject: [Rtg-ooam-dt] Minutes from 01/26/16 meeting

From: Gregory Mirsky <[email-masked]>
Date: Wed, 27 Jan 2016 23:12:52 +0000

Dear All,
apologies for the delay and please feel free to add your notes, correct mine.

·         Overlay OAM Requirements:

o   document is reasonably complete and stable

o   updates may be done resulting from our work on the Gap analysis of OAM solutions

·         Role of telemetry

o   will discourage use of OAM channel, which is in-band with data, for telemetry collection. Though it MAY be used at very slow rate or with on-demand OAM. Experience with Y.1731 LMM demonstrated that collecting counters to calculate packet loss has problems, SLM preferred.

o   AP: Deepak and David will present use cases for Telemetry over OAM Channel

·         Gap analysis

o   BFD

§  we see use case for both p2p BFD, e.g. NVO3, SFC, and p2mp BFD, e.g. BIER

§  encapsulation choices:

·         IP/UDP as per RFC 5884

·         ACH as per RFC 5885

·         to visualize how BFD would look for our targeted layers APs:

o   Ignas will do it for NVO3

o   Greg will do it for BIER

o   any volunteers for SFC?

·         would we need BFD bootstrap similar to BFD Discriminator TLV in LSP Ping?

·         Location of Test Point

o   Test point (TP) - synonymous to Maintenance Point in Ethernet OAM. We agreed to use TP to refer to location of the OOAM function in a virtual node.

o   We have discussed what can be exercised by OAM and agreed that that depends upon where TP is located, e.g. VTEP as NVE.

o   AP: Erik to contribute text, tentatively to be included in Gap analysis document, that explains, illustrates TP and role of TP location in the particular layer.

Regards,
                Greg

---

From: Mach Chen <[email-masked]>
Date: Thu, 28 Jan 2016 08:17:48 +0000

Hi Greg,

Thanks for the minutes!

I volunteer to investigate how BFD can apply to SFC.

Best regards,
Mach

From: Rtg-ooam-dt [mailto:[email-masked]] On Behalf Of Gregory Mirsky
Sent: Thursday, January 28, 2016 7:13 AM
To: [email-masked]
Subject: [Rtg-ooam-dt] Minutes from 01/26/16 meeting

Dear All,

·         Role of telemetry

·         Gap analysis

o   BFD

§  encapsulation choices:

·         IP/UDP as per RFC 5884

·         ACH as per RFC 5885

·         Location of Test Point

Regards,
                Greg

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Fri, 29 Jan 2016 06:16:55 +0000

I'm happy to review, Mach!

Thumb typed by Carlos Pignataro.
Excuze typofraphicak errows

On Jan 28, 2016, at 00:18, Mach Chen <[email-masked]<mailto:[email-masked]>> wrote:

Hi Greg,

Thanks for the minutes!

Best regards,
Mach

From: Rtg-ooam-dt [mailto:[email-masked]] On Behalf Of Gregory Mirsky
Sent: Thursday, January 28, 2016 7:13 AM
To: [email-masked]<mailto:[email-masked]>
Subject: [Rtg-ooam-dt] Minutes from 01/26/16 meeting

Dear All,

*         Overlay OAM Requirements:

*         Role of telemetry

*         Gap analysis

o   BFD

?  we see use case for both p2p BFD, e.g. NVO3, SFC, and p2mp BFD, e.g. BIER

?  encapsulation choices:

*         IP/UDP as per RFC 5884

*         ACH as per RFC 5885

*         to visualize how BFD would look for our targeted layers APs:

*         would we need BFD bootstrap similar to BFD Discriminator TLV in LSP Ping?

*         Location of Test Point

Regards,
                Greg
_______________________________________________
Rtg-ooam-dt mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/rtg-ooam-dt

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Fri, 29 Jan 2016 06:29:12 +0000

Thanks Greg for sending these minutes and apologies I could not join due to travel.

I have a couple of questions, please see inline.

On Jan 27, 2016, at 15:13, Gregory Mirsky <[email-masked]<mailto:[email-masked]>> wrote:

Dear All,

*         Role of telemetry

o   will discourage use of OAM channel, which is in-band with data, for telemetry collection.

When you say "inband with data", you mean inband as fate sharing with the user flow, and not inband with the data packet, right? Though the ECMP realities make it potentially less fate-sharing?

Also, why discourage?

Though it MAY be used at very slow rate or with on-demand OAM. Experience with Y.1731 LMM demonstrated that collecting counters to calculate packet loss has problems, SLM preferred.

*         Gap analysis

o   BFD

Are we doing a gap analysis only with BFD? The working modes of BFD are very different than on demand tests like derivatives of LSP Ping or even S-BFD.

?  encapsulation choices:

Should this be encapsulation agnostic? Are these just to show use cases of how it would look in sample deployments and transports?

*         IP/UDP as per RFC 5884

*         ACH as per RFC 5885

A larger question about the bootstrap is encap independent bootstrap as well.

*         Location of Test Point

Regards,
                Greg

Thanks!

Carlos.

---

From: Mach Chen <[email-masked]>
Date: Fri, 29 Jan 2016 07:31:19 +0000

Carlos,

Sure, will send it to for review then.

Best regards,
Mach

From: Rtg-ooam-dt [mailto:[email-masked]] On Behalf Of Carlos Pignataro (cpignata)
Sent: Friday, January 29, 2016 2:17 PM
To: Mach Chen
Cc: Gregory Mirsky; [email-masked]
Subject: Re: [Rtg-ooam-dt] Minutes from 01/26/16 meeting

Thanks for the minutes!

Best regards,
Mach

Dear All,

·         Role of telemetry

·         Gap analysis

o   BFD

§  encapsulation choices:

·         IP/UDP as per RFC 5884

·         ACH as per RFC 5885

·         Location of Test Point

Regards,
                Greg

---

From: Gregory Mirsky <[email-masked]>
Date: Sat, 30 Jan 2016 14:43:35 +0000

Hi Carlos,
many thanks for your thoughtful questions. My notes in-lined and tagged GIM>>.

                Regards,
                                Greg

From: Carlos Pignataro (cpignata) [mailto:[email-masked]]
Sent: Thursday, January 28, 2016 10:29 PM
To: Gregory Mirsky
Cc: [email-masked]<mailto:[email-masked]>
Subject: Re: [Rtg-ooam-dt] Minutes from 01/26/16 meeting

·         Role of telemetry

When you say "inband with data", you mean inband as fate sharing with the user flow, and not inband with the data packet, right? Though the ECMP realities make it potentially less fate-sharing?
GIM>> Indeed, it is the fate sharing. Should add text to Requirements to explain "in-band". Yes, ECMP may cause data and OAM flows to take different paths through the network. One example I can think of, MPLS network without Entropy Label. Should we then say "MUST try to ensure that OAM is in-band with the user flow" in the requirements document?

Also, why discourage?
GIM>> Excessive use of the in-band OAM channel may affect user flow and thus change network behavior. For example, if operator uses passive measurement exporting massive amount of data over the OAM channel may affect network. I think that a management channel should be used in such case. Obviously it may traverse the same nodes and links but may not require the same QoS. We can refer to LMAP Reference Model with Controller, Measurement Agent and Data Collector.

o   Though it MAY be used at very slow rate or with on-demand OAM. Experience with Y.1731 LMM demonstrated that collecting counters to calculate packet loss has problems, SLM preferred.

·         Gap analysis

o   BFD

Are we doing a gap analysis only with BFD? The working modes of BFD are very different than on demand tests like derivatives of LSP Ping or even S-BFD.
GIM>> You are absolutely correct. We only started with the gap analysis and BFD was first mentioned in my list on the scratch pad. We will get to ping/traceroute tool, performance measurement methods and AIS.

§  encapsulation choices:

Should this be encapsulation agnostic? Are these just to show use cases of how it would look in sample deployments and transports?
GIM>> Didn't mean data plane encapsulation in this discussion. Perhaps should find better term, would you help? But there will be differences whether BFD uses IP/UDP encapsulation or ACH. In the former, as I think, it will be encapsulated as IP protocol while in the latter case - as OAM protocol.

·         IP/UDP as per RFC 5884

·         ACH as per RFC 5885

A larger question about the bootstrap is encap independent bootstrap as well.
GIM>> Yes, but supported OAM encapsulations should be reflected in capability advertisement. I think we don't have to iron details of OAM control plane but should make a note of it.

·         Location of Test Point

Regards,
                Greg

Thanks!

Carlos.